<?php

use EventPortal\Domain\Permission\Models\Group;
use EventPortal\Domain\Permission\Models\Permission;
use Faker\Generator as Faker;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Permission::class, function (Faker $faker) {
    return [
        'name' => $faker->name,
        'guard_name' => 'web',
        'label' => $faker->domainWord,
        'group_id' => function() { return factory(Group::class)->create()->id; },
    ];
});

$factory->state(Permission::class, 'default', function (): array {
    return [
        'label' => 'Default Permission',
        'name' => 'default-permission',
    ];
});
